!
! ********************************************************************
! *                                                                  *
! *  Copyright 2001 Compaq Computer Corporation                      *
! *                                                                  *
! *  COMPAQ Registered in U.S. Patent and Trademark Office.          *
! *                                                                  *
! *  Confidential computer software. Valid license from Compaq or    *
! *  authorized sublicensor required for possession, use or copying. *
! *  Consistent with FAR 12.211 and 12.212, Commercial Computer      *
! *  Software, Computer Software Documentation, and Technical Data   *
! *  for Commercial Items are licensed to the U.S. Government under  *
! *  vendor's standard commercial license.                           *
! *                                                                  *
! ********************************************************************
!
!DEC$ IF .NOT. DEFINED (COMDLG32_ )
!DEC$ DEFINE xCOMDLG32_  
!
!
!
!         *****COMDLG32.LIB Interfaces*****
! 
!     This module defines routine interfaces to the Windows APIs
!     for both the 32-bit (_M_IX86) and 64-bit (_M_IA64) versions of the
!     NT4 and WIN2000 operating systems.  
!
!     The base for this version is: 
!
!           Microsoft Platform Software Development Kit (SDK)
!                Win64 Pre-alpha February 2000
!
!     As with the C header files distributed with the SDK, there
!     is only one common set of files for both 64-bit and 32-bit
!     operating systems.
!   
!     Within the Fortran versions of the header files, the
!     following symbols are used to control the compilation.
! 
!     _M_IA64 conditionally compiles items for 64 bit systems.
!     _M_IX86 conditionally compiles items for 32 bit systesm.
!
!     Known problems: 
!
!07-12-00
!
module comdlg32
use dfwinty
!DEC$OBJCOMMENT LIB:"COMDLG32.LIB"
!
    INTERFACE 
    FUNCTION GetOpenFileName( &
            arg1)
    USE DFWINTY
      integer(BOOL) :: GetOpenFileName ! BOOL
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetOpenFileNameA' :: GetOpenFileName
    !DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg1
      TYPE (T_OPENFILENAME) arg1 ! LPOPENFILENAMEA arg1
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION GetSaveFileName( &
            arg1)
    USE DFWINTY
      integer(BOOL) :: GetSaveFileName ! BOOL
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetSaveFileNameA' :: GetSaveFileName
    !DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg1
      TYPE (T_OPENFILENAME) arg1 ! LPOPENFILENAMEA arg1
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION GetFileTitle( &
            arg1, &
            arg2, &
            arg3)
    USE DFWINTY
      integer(SHORT) :: GetFileTitle ! short
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetFileTitleA' :: GetFileTitle
    !DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg1
      character*(*) arg1 ! LPCSTR arg1
    !DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg2
      character*(*) arg2 ! LPSTR arg2
      integer(WORD) arg3 ! WORD arg3
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION ChooseColor( &
            arg1)
    USE DFWINTY
      integer(BOOL) :: ChooseColor ! BOOL
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'ChooseColorA' :: ChooseColor
    !DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg1
      TYPE (T_CHOOSECOLOR) arg1 ! LPCHOOSECOLORA arg1
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION FindText( &
            arg1)
    USE DFWINTY
      integer(HANDLE) :: FindText ! HWND
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'FindTextA' :: FindText
    !DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg1
      TYPE (T_FINDREPLACE) arg1 ! LPFINDREPLACEA arg1
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION ReplaceText( &
            arg1)
    USE DFWINTY
      integer(HANDLE) :: ReplaceText ! HWND
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'ReplaceTextA' :: ReplaceText
    !DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg1
      TYPE (T_FINDREPLACE) arg1 ! LPFINDREPLACEA arg1
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION ChooseFont( &
            arg1)
    USE DFWINTY
      integer(BOOL) :: ChooseFont ! BOOL
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'ChooseFontA' :: ChooseFont
    !DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg1
      TYPE (T_CHOOSEFONT) arg1 ! LPCHOOSEFONTA arg1
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION PrintDlg( &
            arg1)
    USE DFWINTY
      integer(BOOL) :: PrintDlg ! BOOL
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'PrintDlgA' :: PrintDlg
    !DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg1
      TYPE (T_PRINTDLG) arg1 ! LPPRINTDLGA arg1
     END FUNCTION
    END INTERFACE
!DEC$ IF DEFINED( _M_IA64)
    INTERFACE 
    FUNCTION PrintDlgEx( &
            arg1)
    USE DFWINTY
      integer(LONG) :: PrintDlgEx ! HRESULT
      !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'PrintDlgExA' :: PrintDlgEx
      !DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg1
      TYPE (T_PRINTDLGEX) arg1 ! LPPRINTDLGEXA arg1
     END FUNCTION
    END INTERFACE
!DEC$ ENDIF
    INTERFACE 
    FUNCTION CommDlgExtendedError( &
                 )
    USE DFWINTY
      integer(DWORD) :: CommDlgExtendedError ! DWORD
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'CommDlgExtendedError' :: CommDlgExtendedError
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION PageSetupDlg( &
            arg1)
    USE DFWINTY
      integer(BOOL) :: PageSetupDlg ! BOOL
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'PageSetupDlgA' :: PageSetupDlg
    !DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg1
      TYPE (T_PAGESETUPDLG) arg1 ! LPPAGESETUPDLGA arg1
     END FUNCTION
    END INTERFACE
!
end module comdlg32
!
!DEC$ ENDIF ! /* comdlg32_ */
